// FPCW -b z.pas
unit frsZip;
interface

procedure zipOpen( Fn : String );
function  zipRead( Fn : String ) : Pointer;
function  zipFileSize( Fn : String ) : DWord;

implementation

uses
    Zfs,windows;

var
   Pack : pZip;

procedure zipOpen( Fn : String );
begin
     Pack:=OpenZip( Fn,NORMALMODE );
end;

function  zipRead( Fn : String ) : Pointer;
var
  F : File;
  P : Pointer;
  S : DWord;
begin
     Assign( F,Fn );
     Reset( F,1 );
     If ( IOResult <> 0 ) then
      begin
//      MessageBox( 0,'Cannot read file from yip.',nil,mb_Ok );
      end;
     GetMem( P,FileSize( F ) );
     BlockRead( F,P^,FileSize( F ) );
     Close( F );
     zipRead:=P;
end;

function  zipFileSize( Fn : String ) : DWord;
var
   F : File;
begin
     Assign( F,Fn );
     Reset( F,1 );
     zipFileSize:=FileSize( F );
     Close( F );
end;

end.