// konputer:54		: fresh!mindworkz

Uses OpenGL32,GL_SL,GLU_SL,p3d,p3d_type,windows,szetap,SysUtils,frszip,zfs,frstimer,frsbass,math;



type vertex = record
	x,y,z : single;
	end;


var 	timer : single;
    	flare : ^vertex;
    	p1 : 	pbyte;
    	konputer : longint;    
    	scene1 : p3d_scene;
    	scene2 : p3d_scene;
    	scene3 : p3d_scene;
    	scenes : array [0..6] of p3d_scene;
    	scene4 : p3d_scene;
    	scene5 : p3d_scene;
    	scene6 : p3d_scene;
    	scene7 : p3d_scene;
    	scene8 : p3d_scene;
    	scenem : array [0..16] of p3d_scene;
    	hWindow : HWnd;
	f : file of single;
	flares : longint;
	fmark : single;
	fps : single;
	fs : string;
	fpss  : string;
	fmrk : string;
	pc1,pc2 : pchar;
        feny : longint;
        ize : single;
        ize2: single;
        fok : single;
	aa : single;   
	x,y,z : array [1..1000] of single;   
	i : longint;
    	txt : array [0..7] of longint;   
    	ends : longint;
	greet 	: array [0..15] of longint;
	cray	: array [0..15] of longint;
	craym	: array [0..15] of single;
	e,sz : single;


procedure wrtdebug;forward;


{$I frsWM.i }
{$APPTYPE GUI}


procedure wrtdebug;
begin
if p3d_debug=true then 
		begin
		writeln;
		writeln('[]debuginfo');
		writeln('   Bass Position     :',bassgetposition);
		writeln('   Rendered frames   :',wmRenderedframes);
		writeln('   Running time      :',timerget(100)/100:0:4);
		writeln('   Frame per seconds :',wmrenderedframes/timerget(1):0:4);
		writeln('   Texture size      :',p3d_texturesize/1024/1024:0:2,' Mb');
		end;
end;


procedure calcmorph(t: single);
var timer2 : single;
	timer1 : longint;
	i : longint;
begin
timer1 := trunc(t) mod 9;
timer2 := frac(t);

for i := 0 to scene4.obj[1].vertices-1 do
	begin
	scene4.obj[1].vertex[i].x := scenem[timer1].obj[1].vertex[i].x+(scenem[timer1+1].obj[1].vertex[i].x-scenem[timer1].obj[1].vertex[i].x)*timer2;
	scene4.obj[1].vertex[i].y := scenem[timer1].obj[1].vertex[i].y+(scenem[timer1+1].obj[1].vertex[i].y-scenem[timer1].obj[1].vertex[i].y)*timer2;
	scene4.obj[1].vertex[i].z := scenem[timer1].obj[1].vertex[i].z+(scenem[timer1+1].obj[1].vertex[i].z-scenem[timer1].obj[1].vertex[i].z)*timer2;
	scene4.obj[1].texcoord[i].u := scenem[timer1].obj[1].color[i].b+(scenem[timer1+1].obj[1].color[i].b-scenem[timer1].obj[1].color[i].b)*timer2;
	scene4.obj[1].texcoord[i].v := scenem[timer1].obj[1].color[i].g+(scenem[timer1+1].obj[1].color[i].g-scenem[timer1].obj[1].color[i].g)*timer2;
	end;


end;


procedure calshad(t:single);
var     timer2 : single;
        timer1 : longint;
        i,i2 : longint;
begin
timer1:= trunc(t) mod 6;
timer2:= frac(t);

for i2 := 0 to scene3.objects-1 do
        for i := 0 to scene3.obj[i2].vertices-1 do
                begin

scene3.obj[i2].color[i].r := scenes[timer1].obj[i2].color[i].r+(scenes[timer1+1].obj[i2].color[i].r-scenes[timer1].obj[i2].color[i].r)*timer2;
scene3.obj[i2].color[i].g := scenes[timer1].obj[i2].color[i].g+(scenes[timer1+1].obj[i2].color[i].g-scenes[timer1].obj[i2].color[i].g)*timer2;
scene3.obj[i2].color[i].b := scenes[timer1].obj[i2].color[i].b+(scenes[timer1+1].obj[i2].color[i].b-scenes[timer1].obj[i2].color[i].b)*timer2;
                end;


end;
	procedure putlogo(ss:single);
	begin
	glmatrixmode(gl_projection);
	glloadidentity;
	glmatrixmode(gl_modelview);
	glloadidentity;
	glmatrixmode(gl_texture);
	glloadidentity;	
	glenable(gl_texture_2d);
	glenable(gl_blend);
	glblendfunc(gl_one,gl_one);
	gldisable(gl_depth_test);	

	glbindtexture(gl_texture_2d,konputer);
	glcolor3f(ss,ss,ss);
	glbegin(gl_quads);
	gltexcoord2f(1,0);	glvertex2f(1,1.5);	
	gltexcoord2f(1,1);	glvertex2f(1,0);	
	gltexcoord2f(0,1);	glvertex2f(-1,0);	
	gltexcoord2f(0,0);	glvertex2f(-1,1.5);	
	glend;	

//	gldisable(gl_blend);
//	glenable(gl_depth_test);	
	end;

	procedure putgreet(melyik: longint);
	begin
	if melyik <13 then begin
	glmatrixmode(gl_projection);
	glloadidentity;
	glmatrixmode(gl_modelview);
	glloadidentity;
	glmatrixmode(gl_texture);
	glloadidentity;	
	glenable(gl_texture_2d);
	glenable(gl_blend);
	glblendfunc(gl_one,gl_one);
	gldisable(gl_depth_test);	

	glbindtexture(gl_texture_2d,greet[melyik]);
	glcolor3f(1,1,1);
	glbegin(gl_quads);
	gltexcoord2f(1,0);	glvertex2f(0.9,-0.65);	
	gltexcoord2f(1,1);	glvertex2f(0.9,-0.8);	
	gltexcoord2f(0,1);	glvertex2f(0,-0.8);	
	gltexcoord2f(0,0);	glvertex2f(0,-0.65);	
	glend;	

	gldisable(gl_blend);
	glenable(gl_depth_test);	
	end;
	end;



	procedure putcray(melyik: longint;x,y:single);
	begin
	gldisable(gl_blend);
	glmatrixmode(gl_projection);
	glloadidentity;
	glmatrixmode(gl_modelview);
	glloadidentity;
	glmatrixmode(gl_texture);
	glloadidentity;	
	glenable(gl_texture_2d);
	gldisable(gl_depth_test);	

	glbindtexture(gl_texture_2d,cray[melyik]);
	glcolor3f(1,1,1);
	glbegin(gl_quads);
	gltexcoord2f(1,0);	glvertex2f(-0.5-x ,-0.5-y);	
	gltexcoord2f(1,1);	glvertex2f(-0.5-x ,  -1-y);	
	gltexcoord2f(0,1);	glvertex2f(-0.95-x,  -1-y);	
	gltexcoord2f(0,0);	glvertex2f(-0.95-x,-0.5-y);	
	glend;	

	gldisable(gl_blend);
	glenable(gl_depth_test);	
	end;


	procedure putcray2(melyik: longint;x,y:single);
	begin
	gldisable(gl_blend);
	glmatrixmode(gl_projection);
	glloadidentity;
	glmatrixmode(gl_modelview);
	glloadidentity;
	glmatrixmode(gl_texture);
	glloadidentity;	
	glenable(gl_texture_2d);
	gldisable(gl_depth_test);	

	glbindtexture(gl_texture_2d,cray[melyik]);
	glcolor3f(1,1,1);
	glbegin(gl_quads);
	gltexcoord2f(1,0);	glvertex2f(0.9+x ,-0.5-y);	
	gltexcoord2f(1,1);	glvertex2f(0.9+x ,  -1-y);	
	gltexcoord2f(0,1);	glvertex2f(0.45+x,  -1-y);	
	gltexcoord2f(0,0);	glvertex2f(0.45+x,-0.5-y);	
	glend;	

	gldisable(gl_blend);
	glenable(gl_depth_test);	
	end;


 
	procedure gencray;
	var cpos : single;
		melyik : longint;
	begin

	if bassgetposition >3100000 then begin


	cpos := ((bassgetposition-3100000) mod 1490000)*0.067114093959731543624161073825503;

		melyik :=(bassgetposition-3100000) div 1490000;

	if melyik < 11 then 

	if melyik mod 2 = 0 then begin	

	if (cpos >10000) and (cpos<90000) then putcray(melyik,0,craym[melyik]);
	if cpos < 10000 then putcray(melyik,(10000-cpos)/10000,craym[melyik]);
	if cpos > 90000 then putcray(melyik,(cpos-90000)/10000,craym[melyik]);

				end else

				begin

	if (cpos >10000) and (cpos<90000) then putcray2(melyik,0,craym[melyik]);
	if cpos < 10000 then putcray2(melyik,(10000-cpos)/10000,craym[melyik]);
	if cpos > 90000 then putcray2(melyik,(cpos-90000)/10000,craym[melyik]);

				end;
	end;
	end;



	procedure part1;
	begin
	p3d_noblend := false;
	gldisable(gl_depth_test);
	glenable(gl_blend);
	glblendfunc(gl_one,gl_one);
	scene1.obj[5].render := false;
	scene1.obj[0].envmap := true;
	scene1.obj[1].envmap := true;

	envanglex := timer;	
	envangley := timer*2;	
	envanglez := timer;	
        p3d_ambient(0,0,0);
	if (bassgetposition > 760000) and (bassgetposition <840000) then p3d_ambient(0,0,random(30)/100);
	if (bassgetposition > 870000) and (bassgetposition <930000) then p3d_ambient(0,0,random(30)/100);


	if bassgetposition >1720000 then 
		begin
		timer := 41.28+(bassgetposition/1000000);
		aa := 1-((timer-43)*4);
		p3d_ambient(aa*0.5,aa*0.5,aa*0.8);
		scene1.obj[1].render :=false;
		scene1.obj[2].render :=false;
		glenable(gl_blend);
		gldisable(gl_depth_test);
		p3d_clearzbuffer := true;
		p3d_rendersceneBL(scene2,(timer-43)*19);		
		p3d_clearzbuffer := false;
		putlogo(1-aa);
		end	else

		timer := bassgetposition/40000;
		glenable(gl_blend);
		gldisable(gl_depth_test);
		p3d_renderscene(scene1,timer);    
	p3d_noblend := true;
	end;

	procedure part2;
	begin
  	glenable(gl_cull_face);
        timer := (bassgetposition-3090000)/202000;
        calshad(timer*35);
        scene3.obj[10].render := false;
        scene3.obj[10].reclight := false;
	glenable(gl_depth_test);
	p3d_ambient(0,0,0);
        p3d_renderscene(scene3,timer);
        p3d_clearzbuffer := false;

        glenable(gl_blend);
        glblendfunc(gl_one,gl_one);
        gldepthmask(false);

        p3d_rendersceneobject(scene3,timer,10,0.5,0.1,0.1,0.2);

 	ize := (trunc(timer*35) mod 6)*40-140;
 	ize := ize+frac(timer*35)*40;

  	fok:=90+arctan2( (yp - yt),(xp - xt) ) * (180 / Pi);
  	gltranslatef(0,ize,0);
  	glRotatef( fok,0.0,0.0,1.0 );

        glenable(gl_texture_2d);
        glBindTexture(GL_TEXTURE_2D,feny);

        glcolor3f(1,1,1);
        glbegin(gl_quads);
                gltexcoord2f(0,0);glvertex3f(-10,0,42);
                gltexcoord2f(0,1);glvertex3f(-10,0,24);
                gltexcoord2f(1,1);glvertex3f(8,0,24);
                gltexcoord2f(1,0);glvertex3f(8,0,42);
        glend;

        gldisable(gl_blend);
        gldepthmask(true);
        p3d_clearzbuffer := true;
  	gldisable(gl_cull_face);
	end;


	procedure part3;
	begin
	timer := 3+(bassgetposition-4260000) /40400;
	glenable(gl_blend);
	glblendfunc(gl_one,gl_one);

	calcmorph((timer-3)*0.5);

	gldisable(gl_blend);
	gldepthmask(true);
	glenable(gl_depth_test);
	p3d_rendersceneobject2(scene4,timer,1,1,1,1,1);    
	gldepthmask(false);
	glenable(gl_blend);
	scene4.obj[1].render := false;
	scene4.obj[1].reclight := false;
	p3d_clearzbuffer := false;
	p3d_renderscenebl(scene4,timer);    
	p3d_clearzbuffer := true;
	end;


procedure part4;

	begin
        timer := (bassgetposition-5430000)/40400;
        gldisable(gl_blend);
	glenable(gl_depth_test);
	
	p3d_renderscene(scene5,timer);    
	glpushmatrix;



	glenable(gl_blend);
	glblendfunc(gl_one,gl_one);
        glenable(gl_texture_2d);
        gldepthmask(false);
        glBindTexture(GL_TEXTURE_2D,feny);
        glcolor3f(1,1,1);

for i := 1 to flares do
	begin
	glpopmatrix;
	glpushmatrix;	


 	fok :=90+arctan2( (yp - yt),(xp - xt) ) * (180 / Pi);
  	gltranslatef(flare[i-1].x,flare[i-1].y,flare[i-1].z);
  	glRotatef( fok,0.0,0.0,1.0 );


        glbegin(gl_quads);
                gltexcoord2f(0,0);glvertex3f(-20,0,20);
                gltexcoord2f(0,1);glvertex3f(-20,0,-20);
                gltexcoord2f(1,1);glvertex3f(20,0,-20);
                gltexcoord2f(1,0);glvertex3f(20,0,20);
        glend;

	end;

        gldisable(gl_blend);
        gldepthmask(true);
	
	end;


        procedure part5;
	begin

	timer := (bassgetposition-8900000)/60000;
	p3d_ambient(0.0,0.0,0.0);
	scalez:=-1;
	scalex:=1;
	scaley:=1;
	scene6.material[1].transparency:= 0.5;
	scene6.obj[1].render:= false;
	p3d_renderscene(scene6,timer);    
	scene6.obj[1].render:= true;
	scalez:=1;
	scalex:=1;
	scaley:=1;
	p3d_clearzbuffer := false;

	glClear( gl_depth_bits );

	p3d_ambient(0.2,0.2,0.25);
	p3d_renderscene(scene6,timer);    
	p3d_clearzbuffer := true;
	end;


        procedure part6;

	var kk : single;

	begin
	kk :=0;
	if (bassgetposition>19300000) then kk := (bassgetposition-19300000)/80800;
			      
	glenable(gl_depth_test);
	gldepthmask(true);
	gldisable(gl_blend);
	timer := 11+(bassgetposition-12450000)/44000;
	p3d_ambient(0.3-kk,0.3-kk,0.3-kk);
	p3d_clearzbuffer := true;
	p3d_renderscene(scene7,timer);    


	p3d_clearzbuffer := false;

	glenable(gl_blend);
	glblendfunc(gl_one,gl_one);
	gldepthmask(false);
	

	for i := 22 to 25 do		{22,24,24,25}
	begin
	envangley := random(360);
	e := envangley/360;
	sz :=1;
	if (timer >35) and (timer <62) then sz:= 1-((timer-35)/3);
	if sz >1 then sz :=1;
	if sz <0.1 then sz :=0.1;
	if timer > 87 then e:= e*(1-((timer-87)/2));
	p3d_ambient(e*sz-kk,e*sz-kk,e*sz-kk);
	p3d_rendersceneobject(scene7,timer,i,1,1,1,1);    
	end;

	for i := 26 to 29 do		{22,24,24,25}
	begin
	sz :=0;
	envangley := random(360);
	e := envangley/360;
	if timer > 105 then sz := (timer-105)/2;
	if sz >1 then sz :=1;
	e := e*sz;
	p3d_ambient(e-kk,e-kk,e-kk);
	p3d_rendersceneobject(scene7,timer,i,1,1,1,1);    
	end;



	gldisable(gl_blend);
	gldepthmask(true);
	end;



begin
  writeln('p3D v2.9 by pasy/fresh!mindworkz');
  writeln;
  writeln('select a videomode');
  writeln;
  wmRenderedFrames := 0;
  prc := 0;
  if ( not Setup ) then Halt;
  hWindow:=wmCreate( SetupResX,SetupResY,SetupBits,wm43,SetupFull );

  writeln('konputer -debug    [debugmode]');
  writeln;
  writeln('loading please wait');



  bassInit( -1,44100,'music.mp3',hWindow );

  writeln('zfs: opening dat file');
  zipOpen( 'konputer.yip');

  wmupd := wmupdate;



  flare := zipread('flares.dat');

	flares := 51;
	for i := 1 to flares do
		begin
		flare[i-1].x := flare[i-1].x +random(200)-100;
		flare[i-1].y := flare[i-1].y +random(80)-40;
		flare[i-1].z := flare[i-1].z +random(40)-20;
		end;

	craym[0] :=-0.3;
	craym[1] :=-1.3;
	craym[2] :=-0.1;
	craym[3] :=-0.9;
	craym[4] :=-0.4;
	craym[5] :=-0.7;
	craym[6] :=-1.0;
	craym[7] :=-0.4;
	craym[8] :=-0.7;
	craym[9] :=-0.9;
	craym[10] :=-0.2;
	craym[11] :=-0.3;
	craym[12] :=-1.1;
	craym[13] :=-0.3;
	craym[14] :=-0.2;

  p3D_initopengl;
  gldisable(gl_cull_face);
 if (paramcount=1) and (paramstr(1)='-debug') then p3d_debug:= true else
  p3d_debug := false;

if p3d_debug then writeln('press space to get current information');
  writeln;
  p3D_load(sceneload,'loading.p3d');		

  p3D_loadtexturesRAW(sceneload);
  p3d_percent := true;
					percent;
  p3D_load(scene5,'tunnel.p3d');	percent;
  p3D_load(scene6,'mirror.p3d');	percent;
  p3D_load(scene1,'d1.p3d');		percent;
  p3D_load(scene2,'line.p3d');		percent;
//  p3D_loadtexturesRAW(scene1);		
 scene1.material[0].texture := sceneload.material[0].texture; percent;


p1 := zipread('konputer.raw');		percent;
p3d_texturesize := p3d_texturesize+(512*512*3);
glGentextures(1,konputer);
glEnable(GL_TEXTURE_2D);
glBindTexture(GL_TEXTURE_2D,konputer);
glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MAG_FILTER,GL_LINEAR);
glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MIN_FILTER,GL_LINEAR_MIPMAP_LINEAR);
glTexImage2D(GL_TEXTURE_2D,0,3,512,512,0,GL_RGB,GL_UNSIGNED_BYTE,p1^);
gluBuild2DMipmaps(GL_TEXTURE_2D, 3, 512,512, GL_RGB, GL_UNSIGNED_BYTE,p1^);


  p3D_loadtexturesRAW(scene6);		percent;


  p3D_load(scene3,'s1.p3d');		percent;
  p3D_load(scenes[0],'s1.p3d');		percent;
  p3D_load(scenes[1],'s2.p3d');		percent;
  p3D_load(scenes[2],'s3.p3d');		percent;
  p3D_load(scenes[3],'s4.p3d');		percent;
  p3D_load(scenes[4],'s5.p3d');		percent;
  p3D_load(scenes[5],'s6.p3d');		percent;
  p3D_load(scenes[6],'s7.p3d');		percent;


//  p3D_loadtexturesRAW(scene3);		

	scene3.material[0].texture := sceneload.material[0].texture;
	scene3.material[1].texture := sceneload.material[0].texture; percent;
	
  p3D_loadtextureRAW('lens2.raw',feny);		percent;


  p3D_load(scene4,'1.p3d');		percent;
  p3D_load(scenem[0],'1.p3d');		percent;
  p3D_load(scenem[1],'2.p3d');		percent;
  p3D_load(scenem[2],'3.p3d');		percent;
  p3D_load(scenem[3],'4.p3d');		percent;
  p3D_load(scenem[4],'5.p3d');		percent;
  p3D_load(scenem[5],'6.p3d');		percent;
  p3D_load(scenem[6],'7.p3d');		percent;
  p3D_load(scenem[7],'8.p3d');		percent;
  p3D_load(scenem[8],'9.p3d');		percent;
  p3D_load(scenem[9],'1.p3d');		percent;
  p3D_loadtexturesRAW(scene4);		percent;
//  p3D_loadtexturesRAW(scene5);		


	for i := 0 to scene5.materials-1 do
	scene5.material[i].texture := scene4.material[0].texture;


percent;




  p3D_loadtextureRAWxy('1.gr',256,32,greet[0]);		percent;		
  p3D_loadtextureRAWxy('2.gr',256,32,greet[1]);		percent;		
  p3D_loadtextureRAWxy('3.gr',256,32,greet[2]);		percent;
  p3D_loadtextureRAWxy('4.gr',256,32,greet[3]);		percent;
  p3D_loadtextureRAWxy('5.gr',256,32,greet[4]);		percent;
  p3D_loadtextureRAWxy('6.gr',256,32,greet[5]);		percent;
  p3D_loadtextureRAWxy('7.gr',256,32,greet[6]);		percent;
  p3D_loadtextureRAWxy('8.gr',256,32,greet[7]);		percent;
  p3D_loadtextureRAWxy('9.gr',256,32,greet[8]);		percent;
  p3D_loadtextureRAWxy('a.gr',256,32,greet[9]);		percent;
  p3D_loadtextureRAWxy('b.gr',256,32,greet[10]);	percent;
  p3D_loadtextureRAWxy('c.gr',256,32,greet[11]);	percent;
  p3D_loadtextureRAWxy('d.gr',256,32,greet[12]);	percent;

  p3D_loadtextureRAW('1.cry',cray[0]);		percent;
  p3D_loadtextureRAW('2.cry',cray[1]);		percent;
  p3D_loadtextureRAW('3.cry',cray[2]);		percent;
  p3D_loadtextureRAW('4.cry',cray[3]);		percent;
  p3D_loadtextureRAW('5.cry',cray[4]);		percent;
  p3D_loadtextureRAW('6.cry',cray[5]);		percent;
  p3D_loadtextureRAW('7.cry',cray[6]);		percent;
  p3D_loadtextureRAW('8.cry',cray[7]);		percent;
  p3D_loadtextureRAW('9.cry',cray[8]);		percent;
  p3D_loadtextureRAW('a.cry',cray[9]);		percent;
  p3D_loadtextureRAW('b.cry',cray[10]);		percent;


  p3D_load(scene8,'hal.p3d');			percent;
  p3D_loadtexturesRAW(scene8);			percent;
  p3d_loadtexturerawxy('end.raw',512,1024,ends);percent;

  txt[0]:= scene8.material[3].texture;  	
  txt[1]:= scene8.material[4].texture;  
  txt[2]:= scene8.material[5].texture;  
  txt[3]:= scene8.material[6].texture;  
  txt[4]:= scene8.material[7].texture;  
  txt[5]:= scene8.material[8].texture;  
  txt[6]:= scene8.material[9].texture;  
  txt[7]:= scene8.material[10].texture;  


  p3D_load(scene7,'konputer.p3d');	percent;
  p3D_loadtexturesRAW(scene7);		percent;



	scene7.obj[22].poskeys := true;
	scene7.obj[23].poskeys := true;
	scene7.obj[24].poskeys := true;
	scene7.obj[25].poskeys := true;
	scene7.obj[26].poskeys := true;
	scene7.obj[27].poskeys := true;
	scene7.obj[28].poskeys := true;
	scene7.obj[29].poskeys := true;

	scene7.obj[22].position := scene7.obj[21].position;
	scene7.obj[23].position := scene7.obj[21].position;
	scene7.obj[24].position := scene7.obj[21].position;
	scene7.obj[25].position := scene7.obj[21].position;

	scene7.obj[26].position := scene7.obj[4].position;
	scene7.obj[27].position := scene7.obj[4].position;
	scene7.obj[28].position := scene7.obj[4].position;
	scene7.obj[29].position := scene7.obj[4].position;

	scene7.obj[21].color :=scene7.obj[4].color;

	scene7.material[8].transparency :=0.5;

	scene7.obj[22].envmap := true;
	scene7.obj[23].envmap := true;
	scene7.obj[24].envmap := true;
	scene7.obj[25].envmap := true;
	scene7.obj[26].envmap := true;
	scene7.obj[27].envmap := true;
	scene7.obj[28].envmap := true;
	scene7.obj[29].envmap := true;

	scene7.obj[22].render := false;
	scene7.obj[23].render := false;
	scene7.obj[24].render := false;
	scene7.obj[25].render := false;
	scene7.obj[26].render := false;
	scene7.obj[27].render := false;
	scene7.obj[28].render := false;
	scene7.obj[29].render := false;

	scene7.material[13].utile :=0.5;
	scene7.material[13].vtile :=0.5;




  glMatrixMode( GL_PROJECTION );
  glLoadIdentity();
  glMatrixMode( GL_MODELVIEW );
  glLoadIdentity();
                              
writeln('p3d: init opengl');
  p3D_ambient(0,0,0);

wmRenderedFrames := 0;

writeln('bass: init bass');
bassplay;
writeln('timer: init timer');
timerInit;
  while ( wmEscape = False ) do
   begin
    while ( PeekMessage( @Mess, 0, 0, 0, 0 )) do
      begin
        if ( GetMessage( @Mess, 0, 0, 0 )) then
          begin
            TranslateMessage( Mess );
            DispatchMessage( Mess );
          end
           else
             begin
               bassDone();

		fmark := 100*wmrenderedframes/timerget(1);
		fps := wmrenderedframes/timerget(1);
		str(fmark:0:2,fmrk);
		str(fps:0:2,fpss);
		fmrk := ' Benchmark result : '+fmrk+' fresh!MARK ('+fpss+' fps)'+#0;
		fs := 'fresh!mindworkz - konputer:54'+#0;
//	  	MessageBox( 0,pchar(@fmrk[1]),PChar(@fs[1] ),MB_ICONINFORMATION or MB_OK );

               Halt(1);
               wmDestroy();
             end;
      end;

if  bassgetposition <3090000  then part1;
if (bassgetposition >3090000) and (bassgetposition<4260000) then part2;
if (bassgetposition >4260000) and (bassgetposition<5430000) then part3;
if (bassgetposition >5430000) and (bassgetposition<8950000) then part4;
if (bassgetposition >8950000) and (bassgetposition<12450000) then part5;
if (bassgetposition >12450000) and (bassgetposition<19500000) then part6;
if (bassgetposition >22600000)  then 
				begin
			               bassDone();
					fmark := 100*wmrenderedframes/timerget(1);
					fps := wmrenderedframes/timerget(1);
					str(fmark:0:2,fmrk);
					str(fps:0:2,fpss);
					fmrk := ' Benchmark result : '+fmrk+' fresh!MARK ('+fpss+' fps)'+#0;
					fs := 'fresh!mindworkz - konputer:54'+#0;
					writeln;
					writeln(fmrk);
			               wmDestroy();
			               Halt(1);
				end;

if (bassgetposition >19500000) and (bassgetposition<22600000) then 

	begin
	timer := (bassgetposition-19500000)/85000;
	p3d_clearzbuffer := true;
	p3d_ambient(1,1,1);
	if random(100)<3 then 
	scene8.material[3+random(8)].texture := txt[random(8)];

	p3d_renderscene(scene8,timer*1.7);    


	glmatrixmode(gl_projection);
	glloadidentity;
	glmatrixmode(gl_modelview);
	glloadidentity;
	glmatrixmode(gl_texture);
	glloadidentity;	

	glenable(gl_texture_2d);
	glenable(gl_blend);
	glblendfunc(gl_one,gl_one);
	gldisable(gl_depth_test);	

	glbindtexture(gl_texture_2d,ends);
	glcolor3f(1,1,1);
	glbegin(gl_quads);
	gltexcoord2f(1,0);	glvertex2f( 0.8,-1+timer/5);	
	gltexcoord2f(1,1);	glvertex2f( 0.8,-6+timer/5);	
	gltexcoord2f(0,1);	glvertex2f(-0.8,-6+timer/5);	
	gltexcoord2f(0,0);	glvertex2f(-0.8,-1+timer/5);	
	glend;

	glenable(gl_depth_test);
	gldisable(gl_blend);	
	end;



	if (bassgetposition>6600000) and (bassgetposition<8900000) then 
	putgreet(round((bassgetposition-6600000)/176924));
	gencray;

       wmUpdate;
      end;



end.